<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<!-- Ctrl + Shift + C - copy the entire code -->
	<h2 align="center">Welcome to the Forms Page</h2>
	<!-- 
		Semantic tags

		Semantic tags are new additions to HTML. Semantic Tags are also containers for element but unlike divs they are definitive of its content without relying to semantic id. However, em, strong, they are also semantic tags as they are used over <i></i><b></b>

		Semantic containers such as nav, main, section, and so on are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves because each tag now clearly defines what is added to the content.

	 -->
	 <!-- nav is a semantic container that contains navigation links. -->
	<nav>
		<a href="./index.html">Go to Home Page</a>
		<a href="./table.html">Go to Tables Page</a>
		<a href="../activity/contact.html">Go to Contacts Page</a>
	</nav>
	<!-- main is a semantic container used to show the main content of a page. -->
	<main>
		<!-- sections are used to show parts of a page. -->
		<section>
			<h2>HTML Forms</h2>
			<p>HTML forms are used to gather information or data from our user and send that information to a server.</p>
		</section>
		<section>
			<!-- 
				form tags allow us to create a form. We can gather data and user input in our form and submit it to a server. 

				action attribute in a form will allow us to pass/submit the data to a server of a url that is given.

				label will allow us to create an element that serves as a label or an indicator to the input. add a "for" attribute to the label will allow us to associate the label element to a particular input element. for attribute is passed the id of the particular input element to associate it.

				input tag creates an input element to add user input. input tag can have many types to allow the addition of different kinds of data or information like text, numbers, or dates

				type attribute in input elements allows us to identify what kind of information is to be provided to the input. It also affects the behavior of the element to be appropriate to the type of data we want to gather.

				name attribute allow us to provide a name / an identifier for the VALUE of the input element. It allows us to properly indentify the value of an input in our form.

				id attribute not only provides unique identifier for the element, it is also used by the label to associate it.

				required attribute allows us to check if the input has been filled and if not the form cannot be submitted.

				autocomplete attribute provides suggesstions for input and allows for better experience.

				input type="date" changes the behavior of the input element and only allows the input of dates.

				buttons are used to interact with the pages. We can either have the button trigger an action, reset a form, or submit a form.

				type attribute to a button to indicate the action it will do.

				buttons in a form can submit a form. this is why we type a "type" attribute to differentiate the actions buttons can do in a form.

				input type="number" change the behavior of the input element and only allows the input of numbers

				min attribute to input type number sets the minimum number we can input.

				max attribute to input type number sets the maximum number we can input.

				select tag allows us to create a drop down menu with choices. 
				option tag allows us to create options/choices available for our select tag.

				value attribute to provide the value or data per option. This is done because options cannot be typed into and receive input.

				input type="radio" allows us to create a radio button and provide users to provide a single choice.

				input type="checkbox" will create a checkbox for multiple selections among multiple choices.
			-->

			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br> <!-- Break the line -->
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				<!-- Birthdate -->
				<label for="bdate">Birthdate</label>
				<br>
				<input type="date" name="birthdate" id="bdate" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required>
				<br>
				<!-- gender -->
				<label for="genderInput">Gender</label>
				<br>
				<select name="gender" id="genderInput" required>
					<option value=""></option>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<!-- checkbox -->
				<label>Role</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
</body>
</html>